aboutsummaryrefslogtreecommitdiff
path: root/www/apache22/files/apache22.sh.in
diff options
context:
space:
mode:
authorClement Laforet <clement@FreeBSD.org>2007-09-09 14:55:17 +0000
committerClement Laforet <clement@FreeBSD.org>2007-09-09 14:55:17 +0000
commitd1f1fe2acc8a1b8c3d6141a7271a85e38e8c24c8 (patch)
tree917c97c0c9eb2cff11eff1d10562d1f1b6e61d28 /www/apache22/files/apache22.sh.in
parent21219460d98cbcc7d06cee3b4979ca5094c6edde (diff)
downloadports-d1f1fe2acc8a1b8c3d6141a7271a85e38e8c24c8.tar.gz
ports-d1f1fe2acc8a1b8c3d6141a7271a85e38e8c24c8.zip
Notes
Diffstat (limited to 'www/apache22/files/apache22.sh.in')
-rw-r--r--www/apache22/files/apache22.sh.in28
1 files changed, 12 insertions, 16 deletions
diff --git a/www/apache22/files/apache22.sh.in b/www/apache22/files/apache22.sh.in
index 87ad36a1023a..1ff6101c637b 100644
--- a/www/apache22/files/apache22.sh.in
+++ b/www/apache22/files/apache22.sh.in
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $FreeBSD: /tmp/pcvs/ports/www/apache22/files/Attic/apache22.sh.in,v 1.3 2007-03-17 16:03:24 clement Exp $
+# $FreeBSD: /tmp/pcvs/ports/www/apache22/files/Attic/apache22.sh.in,v 1.4 2007-09-09 14:55:17 clement Exp $
#
# PROVIDE: apache22
@@ -88,21 +88,17 @@ if [ -n "$2" ]; then
fi
else
if [ "x${apache22_profiles}" != "x" -a "x$1" != "x" ]; then
- if [ "x$1" != "xrestart" ]; then
- for profile in ${apache22_profiles}; do
- echo "===> apache22 profile: ${profile}"
- %%PREFIX%%/etc/rc.d/apache22%%RC_SUBR_SUFFIX%% $1 ${profile}
- retcode="$?"
- if [ "0${retcode}" -ne 0 ]; then
- failed="${profile} (${retcode}) ${failed:-}"
- else
- success="${profile} ${success:-}"
- fi
- done
- exit 0
- else
- restart_precmd=""
- fi
+ for profile in ${apache22_profiles}; do
+ echo "===> apache22 profile: ${profile}"
+ %%PREFIX%%/etc/rc.d/apache22%%RC_SUBR_SUFFIX%% $1 ${profile}
+ retcode="$?"
+ if [ "0${retcode}" -ne 0 ]; then
+ failed="${profile} (${retcode}) ${failed:-}"
+ else
+ success="${profile} ${success:-}"
+ fi
+ done
+ exit 0
fi
fi